# $Revision: 1.10 $, $Date: 2007/12/26 17:33:25 $
Summary:	CCOLAMD: constrained column approximate minimum degree
Summary(pl.UTF-8):	CCOLAMD - przybliżony ograniczony algorytm minimalnego stopnia dla kolumn
Name:		CCOLAMD
Version:	2.7.1
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/ccolamd/%{name}-%{version}.tar.gz
# Source0-md5:	04b0b27fae6795612ce779a3f6381cb7
Patch0:		ccolamd-ufconfig.patch
Patch1:		ccolamd-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/ccolamd/
BuildRequires:	UFconfig
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The CCOLAMD column approximate minimum degree ordering algorithm
computes a permutation vector P such that the LU factorization of A
(:,P) tends to be sparser than that of A. The Cholesky factorization
of (A (:,P))'*(A (:,P)) will also tend to be sparser than that of
A'*A. CSYMAMD is a symmetric minimum degree ordering method based on
CCOLAMD, available as a MATLAB-callable function. It constructs a
matrix M such that M'*M has the same pattern as A, and then uses
CCOLAMD to compute a column ordering of M.

%description -l pl.UTF-8
Przybliżony algorytm porządkowania minimalnego stopnia dla kolumn
CCOLAMD oblicza wektor permutacji P taki, że rozkład LU A (:,P) jest
bardziej rzadki niż A. Rozkład Cholesky'ego (A (:,P))'*(A (:,P)) także
jest rzadszy niż A'*A. CSYMAND to przybliżony algorytm porządkowania
minimalnego stopnia dla macierzy symetrycznych oparty na CCOLAMD,
dostępny jako funkcja do wywołania z MATLAB-a. Tworzy macierz M taką,
że M'*M ma ten sam wzór co A, a następnie używa algorytmu CCOLAMD do
obliczenia porządku kolumn M.

%package devel
Summary:	Header files for CCOLAMD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CCOLAMD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	UFconfig

%description devel
Header files for CCOLAMD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CCOLAMD.

%package static
Summary:	Static CCOLAMD library
Summary(pl.UTF-8):	Statyczna biblioteka CCOLAMD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CCOLAMD library.

%description static -l pl.UTF-8
Statyczna biblioteka CCOLAMD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/ccolamd

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/ccolamd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/ChangeLog
%attr(755,root,root) %{_libdir}/libccolamd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libccolamd.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libccolamd.so
%{_libdir}/libccolamd.la
%{_includedir}/ccolamd

%files static
%defattr(644,root,root,755)
%{_libdir}/libccolamd.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: CCOLAMD.spec,v $
Revision 1.10  2007/12/26 17:33:25  qboosh
- fixed shared patch to use proper objects, -fPIC hack no longer needed

Revision 1.9  2007-12-26 12:49:40  qboosh
- desc for CCOLAMD not COLAMD
- ghost soname symlink
- added ChangeLog to doc
- LGPL v2.1+

Revision 1.8  2007-12-07 17:22:17  baggins
- rel 3

Revision 1.7  2007-12-07 16:56:38  baggins
- consistent library name in summary/description

Revision 1.6  2007-12-07 16:49:06  baggins
- use private include dir

Revision 1.5  2007-12-07 16:42:49  baggins
- use rpmldflags

Revision 1.4  2007-12-07 00:51:59  baggins
- proper summary

Revision 1.3  2007-12-07 00:50:13  baggins
- renamed to CCOLAMD

Revision 1.2  2007-12-02 15:47:03  baggins
- rel 2
- build with -fPIC

Revision 1.1  2007-12-02 15:30:48  baggins
- new

Revision 1.5  2007-12-02 14:58:37  baggins
- 2.7.1
- updated patches

Revision 1.4  2007/04/01 10:15:35  qboosh
- updated shared patch to use -lm when linking the library
- pass libdir to make
- BR: libtool

Revision 1.3  2007/03/30 17:03:28  qboosh
- pl

Revision 1.2  2007/03/26 23:21:00  glen
- build shared lib

Revision 1.1  2007/03/26 22:27:42  glen
- new
